---

- name: Install base packages
  tags: packages, install
  apt:
    state: installed
    name:
      - build-essential
      - git
      - mercurial
      - zsh
      - tmux
      - vim
      - silversearcher-ag
      - exuberant-ctags
      - unattended-upgrades

- name: Install GUI packages
  tags: packages, install
  when: gui_enabled
  apt:
    state: installed
    name:
      - lightdm
      - rxvt-unicode-256color
      - i3
      - xautolock
      - fonts-dejavu-extra
      - fonts-opensymbol
      - scrot
      - vim-gtk

- name: Install non-gui packages
  tags: packages, install
  when: not gui_enabled
  apt:
    state: installed
    name:
      - vim-nox

- name: Set default X session in lightdm
  when: gui_enabled and gui_session
  ini_file:
    dest: /etc/lightdm/lightdm.conf
    section: SeatDefaults
    option: user-session
    value: "{{gui_session}}"
    backup: true
